Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_NS_Peer Class Reference

Base class for Supplier and Consumer classes. This object delegates its reference count to its creator proxy object. More...

`#include <Peer.h>`

Inheritance diagram for TAO_NS_Peer:

[legend]
Collaboration diagram for TAO_NS_Peer:

[legend]
List of all members.

## Public Methods
| TAO_NS_Peer (void)
| Constuctor. More...
virtual | ~TAO_NS_Peer ()
| Destructor. More...
CORBA::ULong | _incr_refcnt (void)
| This method sigantures deliberately match the RefCounting methods required for ESF Proxy. More...
CORBA::ULong | _decr_refcnt (void)
virtual void | shutdown (ACE_ENV_SINGLE_ARG_DECL)
| Shutdown the peer. More...
virtual TAO_NS_Proxy * | proxy (void)=0
| Access Proxy. More...
virtual void | dispatch_updates (const TAO_NS_EventTypeSeq &added, const TAO_NS_EventTypeSeq &removed ACE_ENV_ARG_DECL)
virtual void | qos_changed (const TAO_NS_QoSProperties &qos_properties)
| QoS changed notification from the Peer. More...
void | handle_dispatch_exception (ACE_ENV_SINGLE_ARG_DECL)
| Handle dispatch exceptions. More...
## Protected Methods
virtual void | dispatch_updates_i (const CosNotification::EventTypeSeq &added, const CosNotification::EventTypeSeq &removed ACE_ENV_ARG_DECL)=0
| Implementation of Peer specific dispatch_updates. More...

## Detailed Description

Base class for Supplier and Consumer classes. This object delegates its reference count to its creator proxy object.

## Constructor & Destructor Documentation

TAO_NS_Peer::TAO_NS_Peer | ( | void |  | ) |

| Constuctor.

TAO_NS_Peer::~TAO_NS_Peer | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

CORBA::ULong TAO_NS_Peer::_decr_refcnt | ( | void |  | ) |

CORBA::ULong TAO_NS_Peer::_incr_refcnt | ( | void |  | ) |

| This method sigantures deliberately match the RefCounting methods required for ESF Proxy.

void TAO_NS_Peer::dispatch_updates | ( | const TAO_NS_EventTypeSeq & | added,
|  | const TAO_NS_EventTypeSeq &removed | ACE_ENV_ARG_DECL
| ) | `[virtual]`

virtual void TAO_NS_Peer::dispatch_updates_i | ( | const CosNotification::EventTypeSeq & | added,
|  | const CosNotification::EventTypeSeq &removed | ACE_ENV_ARG_DECL
| ) | `[protected, pure virtual]`

| Implementation of Peer specific dispatch_updates. Reimplemented in TAO_NS_Consumer, and TAO_NS_Supplier.

void TAO_NS_Peer::handle_dispatch_exception | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

| Handle dispatch exceptions.

virtual TAO_NS_Proxy* TAO_NS_Peer::proxy | ( | void |  | ) | `[pure virtual]`

| Access Proxy. Reimplemented in TAO_NS_Consumer, and TAO_NS_Supplier.

void TAO_NS_Peer::qos_changed | ( | const TAO_NS_QoSProperties & | qos_properties | ) | `[virtual]`

| QoS changed notification from the Peer.

void TAO_NS_Peer::shutdown | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Shutdown the peer.

The documentation for this class was generated from the following files:

- Peer.h
- Peer.cpp